
if NOT "%1"=="" goto %1

:ulan
del *.bak
rem del *.asc
del *.$$*
del *.~*
del *.dcu
del *.dsm
del *.rsm
del *.map
del *.log
del lib\*.dcu
del lib\*.~*
DEL units32\*.DCU
DEL units32\*.~*
del ULObj\*.dcu
del ULObj\*.~*
del UlanDef\*.dcu
del UlanDef\*.~*
del ifps\*.dcu
del ifps\*.~*
del ifps\libraries\*.dcu
del ifps\libraries\*.~*
md bak

copy ulan*.zip bak
del ulan*.zip

zip ulan -D *.* lib\*.* units32\*.* doc\*.* ULObj\*.* UlanDef\*.* ifps\*.* -x *.exe *.dll *.bpl
zip ulan -D ifps\libraries\*.* data\scripts\*.* -x *.exe *.dll *.bpl

zipsplit -n 1440000 ulan.zip

del ulan.zip
if not "%ZIPDRV%"=="" copy ulan*.zip %ZIPDRV%\ulan

if NOT "%1"=="" goto exit

:extdev
md extdev
cd extdev
del *.dcu
del *.~*
zip extdev *.* -x *.dll
if not "%ZIPDRV%"=="" copy extdev.zip %ZIPDRV%\ulan
cd ..
if NOT "%1"=="" goto %1

:backuper
md backuper
cd backuper
del *.dcu
del *.~*
zip backuper *.* -x *.exe
if not "%ZIPDRV%"=="" copy backuper.zip %ZIPDRV%\ulan
if NOT "%1"=="" goto %1

:exit
